## golang-github-confluentinc-bincover 0.2.0

=== Makefile ===
SHELL           := /bin/bash
ALL_SRC         := $(shell find . -name "*.go" | grep -v -e vendor)
GIT_REMOTE_NAME ?= origin
MASTER_BRANCH   ?= master
GO              ?= go
ifdef TF_BUILD
	CI := on
endif
GOLANGCI_LINT_VERSION := v1.31.0

all: test

.golangci-bin:
	@echo "===> Installing Golangci-lint <==="
	@curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $@ $(GOLANGCI_LINT_VERSION)

.PHONY: deps
deps: .golangci-bin

.PHONY: fmt
fmt:
	@gofmt -e -s -l -w $(ALL_SRC)

.PHONY: lint-go
lint-go: .golangci-bin
	@GO111MODULE=on .golangci-bin/golangci-lint run --timeout=10m --skip-files="test_bin/set_covermode.go"

.PHONY: lint
lint: lint-go 

.PHONY: test-go
test-go:
ifdef CI
	@# Run unit tests with coverage.
	@GO111MODULE=on $(GO) test ./... -v -coverpkg=github.com/confluentinc/bincover  -coverprofile=coverage.out
else
	@GO111MODULE=on $(GO) test ./... -v
endif

.PHONY: test
test: lint test-go

.PHONY: clean
clean:
	@rm -rf .golangci-bin

=== debian/changelog ===
golang-github-confluentinc-bincover (0.2.0-3) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 17 Oct 2022 15:48:03 +0200

golang-github-confluentinc-bincover (0.2.0-2) unstable; urgency=medium

  * Exclude examples entirely (/usr/bin/echo-arg is not desired).
  * Keep test_bins for the test suite only (don't ship /usr/bin/test_bins).

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 13 Oct 2022 15:31:20 +0000

golang-github-confluentinc-bincover (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1021717).

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 13 Oct 2022 14:14:32 +0000

=== debian/control ===
Source: golang-github-confluentinc-bincover
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-confluentinc-bincover
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-confluentinc-bincover.git
Homepage: https://github.com/confluentinc/bincover
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/confluentinc/bincover

Package: golang-github-confluentinc-bincover-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: easily measure code coverage of Golang binaries (library)
 Bincover is a ready-to-use, generic solution to test Go binaries,
 which is robust enough to handle panics and OS exits. It provides a
 simple and flexible API that generates an “instrumented binary” that
 can measure its own coverage, runs it with user-specified command
 line arguments and environment variables, and merges coverage
 profiles generated from multiple test runs.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples
export DH_GOLANG_INSTALL_EXTRA := test_bins

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# test_bins is useful for the test suite, but let's not ship /usr/bin/test_bins
execute_after_dh_install:
	rm -rf debian/golang-github-confluentinc-bincover-dev/usr/bin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/confluentinc/bincover/tags .*/v?(\d\S*)\.tar\.gz debian
